<?php
// ========================================= >>> atw_posts_select_filter <<< ===============================
function atw_posts_style_admin() {
    // admin for style options...
?>
   <h2 style="color:blue;">Custom CSS Rules</h2>
    <form method="post">
        <input type="hidden" name="atw_posts_save_style_opts" value="Filter Options Saved" />
<?php
        atw_posts_nonce_field('atw_posts_save_style_opts');
?>

	<!-- ======== -->
	<span style="color:#6666FF;"><b>Add your own custom CSS Rules</b></span><br/>
	<p>
	This section allows you to add new CSS Rules. The intent is to allow you to add custom CSS that will make
    the plugin's post output more closely match your own theme. These rules apply to all posts generated by this plugin for all filters.
    You can add any standard CSS rule to the text box.
    </p>
	<p>
	The classes used by this plugin to style posts include (you can copy/paste these into the textbox):
    <ul style="padding-left:20px;">
        <li>.atw-post {} - wraps whole post</li>
        <li>.atw-entry-title a {} - the post title</li>
        <li>.atw-entry-meta {} - top meta info line</li>
        <li>.atw-featured-image {} - wraps the Featured Image</li>
        <li>.atw-entry-summary {} - wraps excerpt</li>
        <li>.atw-entry-content {} - wraps full content</li>
        <li>.atw-show-posts .sticky {} - sticky posts</li>
    </ul>
    Note that these .atw- classes won't apply to posts generated by your theme using "Native Theme Support" (see Filters tab).
    For example, you could make the titles of posts green by adding this CSS: <code>.atw-entry-title a {color:green;}</code>
	</p>
<?php
    if ( current_user_can('unfiltered_html') ) {
?>
<textarea name="atw_custom_css" placeholder=".sample-class { ... } /* enter CSS Rules */" rows=7 style="width: 95%"><?php echo esc_textarea(atw_posts_getopt('custom_css')); ?></textarea>
<?php
    } else {
?>
<p>Sorry, due to security issues, you must have an Administrator user role to add Custom CSS Rules.</p>
<?php
    }
        atw_posts_save_style_button();
?>
    </form>
<?php
}

function atw_posts_save_style_button() {
?>
<input style="margin-bottom:5px;" class="button-primary" type="submit" name="atw_posts_save_style_options" value="Save Style Options"/>
<?php
}

/*
Free vs. Premium ideas...

Pro - add support for more qargs - just have the basic ones in the free version
reduce the options for different slide shows in the free.
*** */
?>

<?php


/* atw-show-posts post classes:
 *
 * .atw-post - wraps whole post
 * .atw-entry-title a - the title (h2 a)
 * .atw-entry-meta - top meta info line
 * .atw-entry-header - wraps title + meta
 * .atw-featured-image - wraps the FI
 * .atw-entry-summary - wraps excerpt
 * .atw-entry-content - wraps full content
 * .atw-entry-utility - wraps bottom meta info line
 * .atw-show-posts .sticky
 *
 */
?>
